/*
 * Copyright (c) 2000 World Wide Web Consortium,
 * (Massachusetts Institute of Technology, Institut National de
 * Recherche en Informatique et en Automatique, Keio University). All
 * Rights Reserved. This program is distributed under the W3C's Software
 * Intellectual Property License. This program is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.
 * See W3C License http://www.w3.org/Consortium/Legal/ for more details.
 */

package org.w3c.dom.views;

import org.w3c.dom.Node;

/**
 * The <code>ContentItem</code> represents a content property to be fetched by 
 * a <code>Segment</code>.
 * <p>See also the <a href='http://www.w3.org/TR/2000/WD-DOM-Level-3-Views-20001115'>Document Object Model (DOM) Level 3 Views and Formatting
Specification</a>.
 * @since DOM Level 3
 */
public interface ContentItem extends Item {
    /**
     * The <code>Node</code> value returned by the <code>Segment</code>, which 
     * is undefined if <code>exists</code> is false.
     */
    public Node getNode();
    public void setNode(Node node);

    /**
     * The offset value returned by the <code>Segment</code>, which is 
     * undefined if <code>exists</code> is false.
     */
    public int getOffset();
    public void setOffset(int offset);

}
